Subject: Re: Potential regression/bug in net/mlx5 driver

From: Saeed Mahameed <[email-masked]>
Date: Thu, 13 Apr 2023 14:12:49 -0700

On 13 Apr 11:19, Paul Moore wrote:
>On Thu, Apr 13, 2023 at 10:54 AM Jakub Kicinski <[email-masked]> wrote:
>> On Mon, 10 Apr 2023 08:46:05 +0300 Leon Romanovsky wrote:
>> > > I haven't seen any updates from the mlx5 driver folks, although I may
>> > > not have been CC'd?
>> >
>> > We are extremely slow these days due to combination of holidays
>> > (Easter, Passover, Ramadan, spring break e.t.c).
>>
>> Let's get this fixed ASAP, please. I understand that there are
>> holidays, but it's been over 2 weeks, and addressing regressions
>> should be highest priority for any maintainer! :(
>>
>> From what I gather all we need here is to throw in an extra condition
>> for "FW is hella old" into mlx5_core_is_management_pf(), no?
>

Hi, Jakub and Paul
This is a high priority and we are working on this, unfortunately for mlx5
we don't check FW versions since we support more than 6 different devices
already, with different FW production lines. 

So we believe that this bug is very hard to solve without breaking backward
compatibility with the currently supported working FWs, the issue exists only
on very old firmwares and we will recommend a firmware upgrade to resolve this
issue.

>That's my gut feeling too, at least for a quick solution.  I'd offer
>to cobble together a fix, but my kernel expertise ends well before I
>get to the mlx5 driver :)
>
>I have been running for a while now with that small patch reverted on
>my test machines (so I can keep my tests running) and everything seems
>to be okay, but there may be other issues caused by the revert that
>I'm not seeing.
>

Paul is it possible to upgrade your device's FW ? your current FW is 6 years
old and we officially don't support FWs this old.

here's a link to start your upgrade.
https://network.nvidia.com/support/firmware/connectx4ib/

Let me know if you need any further assistance.

>-- 
>paul-moore.com